%define major 35
%define libname %mklibname %{name} %{major}
# Hack, we need bigger update of the spec to handle usrmove
%define _bindir /bin
%define _libdir /%_lib

%global with_mono 0

%define build_java 0
%{?_with_java: %{expand: %%global build_java 1}}

Name:		ice
Version:	3.5.1
Release:	%mkrel 11
Summary:	The Ice base runtime and services

Group:		Networking/WWW
License:	GPLv2 with exceptions
URL:		http://www.zeroc.com/
Source0:	http://zeroc.com/download/Ice/3.5/Ice-%{version}.tar.gz
Source3:        IceGridAdmin.desktop
Source4:        Ice-README.Mageia
Source5:        glacier2router.conf
Source6:        glacier2router.service
Source7:        icegridnode.conf
Source8:        icegridnode.service
Source9:        icegridregistry.conf
Source10:       icegridregistry.service
Source11:       ice.ini
Source12:       ice.pth
# Add support for the s390/s390x architecture
Patch0:         ice-3.5b-s390.patch
# don't build demo/test
# TODO: should we keep it or not ?
# significantly reduce compile time but shipping demos could be useful
Patch1:         ice-3.5.1-dont-build-demo-test.patch
# disable the CSharp interface
Patch2:         ice-3.4.2-no-mono.patch
# ARM
Patch3:         ice-3.5.0-arm.patch
# libdb4
Patch4:        ice-3.5.0-libdb4.patch

# Add relevant upstream patches
# http://www.zeroc.com/forums/patches/6285-patch-5-ice-3-5-1-fix-icegrid-registry-issue-shared-replica-groups.html
Patch5:		patch-3.5.1-5.txt
# http://www.zeroc.com/forums/patches/6183-patch-3-ice-3-5-1-marshaling-bug-nested-optionals.html
Patch6:		patch-3.5.1-3.txt

# Debian patch for building with Java 8
# see https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=745100
Patch7:		java8-compatibility.patch
# Will no longer be needed in 3.6.x
Patch8:		ice-3.5.1-ruby22.patch

%if !%{build_java}
Patch20:	Ice-3.5.1-disable_java.patch
%endif

# Ice doesn't officially support ppc64 at all
# sparc64 doesnt have mono
ExcludeArch:    ppc64 sparc64

BuildRequires:	db4.8-devel
BuildRequires:	expat-devel
BuildRequires:	openssl-devel
BuildRequires:	bzip2-devel
BuildRequires:	php
BuildRequires:	php-devel
BuildRequires:	ruby >= 1.8
BuildRequires:	ruby-devel >= 1.8
BuildRequires:	python-devel
%if 0%{?with_mono}
BuildRequires:	mono
BuildRequires:	mono-devel
%endif
BuildRequires:	mcpp-devel >= 2.7.1
BuildRequires:	dos2unix
%if %{build_java}
BuildRequires:	ant
BuildRequires:	java-devel
BuildRequires:	jpackage-utils
BuildRequires:	jgoodies-forms >= 1.6.0
BuildRequires:	jgoodies-looks
BuildRequires:	jgoodies-common
%endif
BuildRequires:  imagemagick
BuildRequires:  desktop-file-utils

Requires:	%{libname} = %{version}-%{release}

Obsoletes:	icegrid-gui < 3.5.1-8
Obsoletes:	ice-java < 3.5.1-8
Obsoletes:	ice-java-devel < 3.5.1-8

%description
Ice is a modern alternative to object middleware such as CORBA or
COM/DCOM/COM+.  It is easy to learn, yet provides a powerful network
infrastructure for demanding technical applications. It features an
object-oriented specification language, easy to use C++, C#, Java,
Python, Ruby, PHP, and Visual Basic mappings, a highly efficient
protocol, asynchronous method invocation and dispatch, dynamic
transport plug-ins, TCP/IP and UDP/IP support, SSL-based security, a
firewall solution, and much more.

# All of the other Ice packages also get built by this SRPM.

%package -n %{libname}
Summary:	Ice shared libraries
Group:		System/Libraries

%description -n %{libname}
This package contains Ice shared libraries.

%package servers
Summary:	Ice services to run through /etc/rc.d/init.d
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}
# Requirements for the users
Requires(pre):	shadow-utils
# Requirements for the init.d services
%description servers
Ice services to run through /etc/rc.d/init.d

%package devel
Summary:	Tools for developing Ice applications in C++
Group:		Development/C++
Provides:	ice-c++-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description devel
Tools for developing Ice applications in C++.

%if %{build_java}
%package java
Summary:	The Ice runtime for Java
Group:		System/Libraries
Requires:	java >= 1.5.0
Requires:	db4.8
Requires:	%{libname} = %{version}-%{release}

%description java
The Ice runtime for Java

%package java-devel
Summary:	Tools for developing Ice applications in Java
Group:		Development/Java
Requires:	%{name}-java = %{version}-%{release}

%description java-devel
Tools for developing Ice applications in Java.

%package -n icegrid-gui
Summary:	IceGrid Admin Tool
Group:		Development/Other
Requires:	java
Requires:	%{name}-java = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:       jgoodies-forms >= 1.6.0
Requires:       jgoodies-looks
Requires:       jgoodies-common

%description -n icegrid-gui
Graphical administration tool for IceGrid
%endif

%if 0%{?with_mono}
%package csharp
Summary:	The Ice runtime for C#
Group:		System/Libraries
Provides:	ice-dotnet = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	mono >= 1.2.2
%description csharp
The Ice runtime for C#

%package csharp-devel
Summary:	Tools for developing Ice applications in C#
Group:		Development/C#
Requires:	%{name}-csharp = %{version}-%{release}
Requires:	pkgconfig
%description csharp-devel
Tools for developing Ice applications in C#.
%endif

%package ruby
Summary:	The Ice runtime for Ruby applications
Group:		Development/Ruby
Requires:	%{libname} = %{version}-%{release}
Requires:	ruby >= 1.8

%description ruby
The Ice runtime for Ruby applications.

%package ruby-devel
Summary:	Tools for developing Ice applications in Ruby
Group:		Development/Ruby
Requires:	%{name}-ruby = %{version}-%{release}

%description ruby-devel
Tools for developing Ice applications in Ruby.

%package -n python-%{name}
Summary:	The Ice runtime for Python applications
Group:		Development/Python
Requires:	%{libname} = %{version}-%{release}
Requires:	python >= 2.3.4
%description -n python-%{name}
The Ice runtime for Python applications.

%package -n python-%{name}-devel
Summary:	Tools for developing Ice applications in Python
Group:		Development/Python
Requires:	python-%{name} = %{version}-%{release}
%description -n python-%{name}-devel
Tools for developing Ice applications in Python.

%package -n php-%{name}
Summary:	The Ice runtime for PHP applications
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Requires:	php

%description -n php-%{name}
The Ice runtime for PHP applications.

%prep
%setup -q -n Ice-%{version}
%patch1 -p1 -b .s390
%patch2 -p1 -b .demo
%patch3 -p1 -b .arm
%patch4 -p1 -b .libdb4
%patch5 -p1 -b .icegrid-registry
%patch6 -p1 -b .marshalling-optionals
%patch7 -p1 -b .java8
%patch8 -p1 -b .ruby22
%if !%{build_java}
%patch20 -p1 -b .disable_java
%endif

%build
%if %{build_java}
# Set the CLASSPATH correctly for the Java compile
export CLASSPATH=`build-classpath db4.8 jgoodies-forms jgoodies-looks jgoodies-common`

# Set JAVA_HOME
export JAVA_HOME=%{java_home}
%endif

# Compile the main Ice runtime
cd %{_builddir}/Ice-%{version}
make CXXFLAGS="%{optflags} -fPIC -fpermissive -pthread" CFLAGS="%{optflags} -fPIC -fpermissive -pthread" embedded_runpath_prefix="" libsubdir=%{_lib} DB_FLAGS="-I/usr/include/db4"

%if %{build_java}
# Rebuild the Java ImportKey class
cd %{_builddir}/Ice-%{version}/cpp/src/ca
rm *.class
javac ImportKey.java

cd %{_builddir}/Ice-%{version}/java
# Create the IceGrid icon
cd resources/icons
convert icegrid.ico temp.png
mv temp-8.png icegrid.png
rm temp*.png
%endif

%install
mkdir -p %{buildroot}

%if %{build_java}
# For some reason it tries to rebuild icegridgui here, so set the CLASSPATH again
export CLASSPATH=`build-classpath db4.8 jgoodies-forms jgoodies-looks jgoodies-common`
%endif

# Do the basic "make install"
cd %{_builddir}/Ice-%{version}
make prefix=%{buildroot} GACINSTALL=yes GAC_ROOT=%{buildroot}%{_libdir} embedded_runpath_prefix="" install

%if %{build_java}
# Move Java stuff where it should be
mkdir -p %{buildroot}%{_javadir}
for file in %{buildroot}/lib/*.jar; do
 mv $file %{buildroot}%{_javadir}
done

## install IceGrid GUI in the right place
mkdir -p %{buildroot}%{_datadir}/Ice-%{version}
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/
cp -p java/resources/icons/icegrid.png \
   %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/
%jpackage_script IceGridGUI.Main "" "" IceGridGUI:jgoodies-looks:jgoodies-forms:jgoodies-common icegridgui 0


desktop-file-install \
        --dir=%{buildroot}%{_datadir}/applications \
        %{SOURCE3}
%endif

# Move other rpm-specific files into the right place (README, service stuff)
mkdir -p %{buildroot}%{_defaultdocdir}/%{name}
cp -p %{SOURCE4} %{buildroot}/%{_defaultdocdir}/%{name}/README.Mageia

# There are a couple of files that end up installed in /lib, not %%{_libdir},
# so we try this move too.
%if 0%{?with_mono}
mkdir -p %{buildroot}%{_libdir}/pkgconfig
install -p -m0644 -t %{buildroot}%{_libdir}/pkgconfig \
         %{buildroot}/lib/pkgconfig/*.pc
%endif
# Move the ImportKey.class file
mkdir -p %{buildroot}%{_datadir}/Ice-%{version}
mv %{buildroot}/lib/ImportKey.class %{buildroot}%{_datadir}/Ice-%{version}

mv %{buildroot}/include  %{buildroot}/%{_includedir}
# Copy the man pages into the correct directory
mv %{buildroot}/man  %{buildroot}/%{_mandir}

%if 0%{?with_mono}
# .NET spec files (for csharp-devel) -- convert the paths
for f in IceGrid Glacier2 IceBox Ice IceStorm IcePatch2;
do
    mv %{buildroot}/usr/lib/mono/$f/$f.xml \
       %{buildroot}%{_prefix}/lib/mono/gac/$f/%{version}.*/
    # fix xml files permissions
    chmod 0644 %{buildroot}%{_prefix}/lib/mono/gac/$f/%{version}.*/*.xml
done
%else
	rm -fv %buildroot%_bindir/slice2cs
	rm -fv %buildroot%_mandir/man1/slice2cs.1*
%endif

# Put the PHP stuff into the right place
mkdir -p %{buildroot}%{_sysconfdir}/php.d
mkdir -p %{buildroot}%{_libdir}/php/extensions/
mv %{buildroot}/php/IcePHP.so %{buildroot}%{_libdir}/php/extensions/
install -D -p -m0644 %{SOURCE11} \
	%{buildroot}%{_sysconfdir}/php.d/%{name}.ini

# Also Ruby and Python -- remove all shebang lines while we're at it
for f in %{buildroot}/python/Ice.py %{buildroot}/ruby/*.rb;
do
    grep -v '/usr/bin/env' $f > $f.tmp
    mv $f.tmp $f
done
mkdir -p %{buildroot}%{ruby_sitearchdir}
mv %{buildroot}/ruby/* %{buildroot}%{ruby_sitearchdir}
mkdir -p %{buildroot}%{python_sitearch}/Ice
mv %{buildroot}/python/* %{buildroot}%{python_sitearch}/Ice
cp -p %{SOURCE12} %{buildroot}%{python_sitearch}

mkdir -p %{buildroot}%{_datadir}/%{name}
mv %{buildroot}/config/* %{buildroot}%{_datadir}/%{name}
mv %{buildroot}/slice %{buildroot}%{_datadir}/%{name}
# Somehow, some files under "slice" end up with executable permissions -- ??
find %{buildroot}%{_datadir}/%{name} -name "*.ice" | xargs chmod a-x

# Put the license files in as documentation
mkdir -p %{buildroot}%{_defaultdocdir}/%{name}
mv %{buildroot}/ICE_LICENSE %{buildroot}/LICENSE \
 %{buildroot}/CHANGES %{buildroot}/RELEASE_NOTES \
 %{buildroot}%{_defaultdocdir}/%{name}

rm -fr %{buildroot}/php

## install systemd services configuration
mkdir -p %{buildroot}%{_unitdir}
mkdir -p %{buildroot}%{_sysconfdir}
## glacier2router
install -p -m0644 %{SOURCE5} %{buildroot}%{_sysconfdir}
install -p -m0644 %{SOURCE6} %{buildroot}%{_unitdir}
## icegridnode
install -p -m0644 %{SOURCE7} %{buildroot}%{_sysconfdir}
install -p -m0644 %{SOURCE8} %{buildroot}%{_unitdir}
## icegridregistry
install -p -m0644 %{SOURCE9} %{buildroot}%{_sysconfdir}
install -p -m0644 %{SOURCE10} %{buildroot}%{_unitdir}

mkdir -p %{buildroot}%{_localstatedir}/lib/icegrid


%pre servers
%_pre_useradd iceuser %{_localstatedir}/lib/icegrid /bin/sh

%post servers
%_post_service icegridregistry
%_post_service icegridnode
%_post_service glacier2router

%preun servers
if [ $1 = 0 ]; then
        %_preun_service icegridregistry
        %_preun_service icegridnode
        %_preun_service glacier2router
fi

%postun servers
if [ "$1" -ge "1" ]; then
        /sbin/service icegridregistry condrestart >/dev/null 2>&1 || :
        /sbin/service icegridnode condrestart >/dev/null 2>&1 || :
        /sbin/service glacier2router condrestart >/dev/null 2>&1 || :
fi

%files
%{_defaultdocdir}/%{name}
%{_bindir}/dumpdb
%{_bindir}/glacier2router
%{_bindir}/icebox
%{_bindir}/iceboxadmin
%{_bindir}/iceca
%{_bindir}/icegridadmin
%{_bindir}/icegridnode
%{_bindir}/icegridregistry
%{_bindir}/icepatch2calc
%{_bindir}/icepatch2client
%{_bindir}/icepatch2server
%{_bindir}/icestormadmin
%{_bindir}/icestormmigrate
%{_bindir}/slice2html
%{_bindir}/transformdb
%{_datadir}/%{name}
%{_mandir}/man1/dumpdb.1.*
%{_mandir}/man1/glacier2router.1.*
%{_mandir}/man1/icebox.1.*
%{_mandir}/man1/iceboxadmin.1.*
%{_mandir}/man1/icegridadmin.1.*
%{_mandir}/man1/icegridnode.1.*
%{_mandir}/man1/icegridregistry.1.*
%{_mandir}/man1/icepatch2calc.1.*
%{_mandir}/man1/icepatch2client.1.*
%{_mandir}/man1/icepatch2server.1.*
%{_mandir}/man1/icestormadmin.1.*
%{_mandir}/man1/slice2html.1.*
%{_mandir}/man1/transformdb.1.*
%{_mandir}/man1/iceca.1.*
%{_mandir}/man1/icestormmigrate.1.*
%{_datadir}/Ice-%{version}

%files -n %{libname}
%{_libdir}/*.so.%{version}
%{_libdir}/*.so.%{major}

%files servers
%{_unitdir}/icegridregistry.service
%{_unitdir}/icegridnode.service
%{_unitdir}/glacier2router.service
%config(noreplace) %{_sysconfdir}/icegridregistry.conf
%config(noreplace) %{_sysconfdir}/icegridnode.conf
%config(noreplace) %{_sysconfdir}/glacier2router.conf
%{_localstatedir}/lib/icegrid

%files devel
%{_bindir}/slice2cpp
%{_bindir}/slice2freeze
%{_includedir}/Freeze
%{_includedir}/Glacier2
%{_includedir}/Ice
%{_includedir}/IceBox
%{_includedir}/IceGrid
%{_includedir}/IcePatch2
%{_includedir}/IceSSL
%{_includedir}/IceStorm
%{_includedir}/IceUtil
%{_includedir}/IceXML
%{_includedir}/Slice
%{_libdir}/*.so
%{_mandir}/man1/slice2cpp.1.*
%{_mandir}/man1/slice2freeze.1.*
%if !%{build_java}
%exclude %{_bindir}/slice2java
%exclude %{_bindir}/slice2freezej
%exclude %{_mandir}/man1/slice2java.1.*
%exclude %{_mandir}/man1/slice2freezej.1.*
%endif

%if %{build_java}
%files java
%{_javadir}/*.jar
# Exclude the stuff that's in IceGrid and java-devel
%exclude %{_javadir}/IceGridGUI.jar
%exclude %{_javadir}/ant-ice.jar

%files -n icegrid-gui
%{_javadir}/IceGridGUI.jar
%attr(755,root,root) %{_bindir}/icegridgui
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/48x48/apps/icegrid.png

%files java-devel
%{_bindir}/slice2java
%{_bindir}/slice2freezej
%{_javadir}/ant-ice.jar
%{_mandir}/man1/slice2java.1.*
%{_mandir}/man1/slice2freezej.1.*
%endif

%if 0%{?with_mono}
%files csharp
%{_libdir}/mono/Glacier2/
%{_libdir}/mono/Ice/
%{_libdir}/mono/IceBox/
%{_libdir}/mono/IceGrid/
%{_libdir}/mono/IcePatch2/
%{_libdir}/mono/IceStorm/

%{_libdir}/mono/gac/Glacier2
%{_libdir}/mono/gac/Ice
%{_libdir}/mono/gac/IceBox
%{_libdir}/mono/gac/IceGrid
%{_libdir}/mono/gac/IcePatch2
%{_libdir}/mono/gac/IceStorm
%{_prefix}/lib/mono/gac/policy.*

%{_bindir}/iceboxnet.exe
%doc %{_mandir}/man1/iceboxnet.1.*

%files csharp-devel
%{_bindir}/slice2cs
%{_libdir}/pkgconfig/Glacier2.pc
%{_libdir}/pkgconfig/Ice.pc
%{_libdir}/pkgconfig/IceBox.pc
%{_libdir}/pkgconfig/IceGrid.pc
%{_libdir}/pkgconfig/IcePatch2.pc
%{_libdir}/pkgconfig/IceStorm.pc
%{_mandir}/man1/slice2cs.1.*
%endif

%files -n python-%{name}
%{python_sitearch}/Ice/
%{python_sitearch}/%{name}.pth

%files -n python-%{name}-devel
%{_bindir}/slice2py
%{_mandir}/man1/slice2py.1.*

%files ruby
%{ruby_sitearchdir}/*

%files ruby-devel
%{_bindir}/slice2rb
%{_mandir}/man1/slice2rb.1.*

%files -n php-%{name}
%{_libdir}/php/extensions/IcePHP.so
%config(noreplace) %{_sysconfdir}/php.d/ice.ini
# Move on a php-devel
%{_bindir}/slice2php
%{_mandir}/man1/slice2php.1.*


%changelog
* Wed Mar 02 2016 umeabot <umeabot> 3.5.1-11.mga6
+ Revision: 983480
- Rebuild for openssl

* Thu Feb 11 2016 umeabot <umeabot> 3.5.1-10.mga6
+ Revision: 954340
- Mageia 6 Mass Rebuild

  + pterjan <pterjan>
    - Add patch for ruby 2.2

* Sun Nov 30 2014 sander85 <sander85> 3.5.1-8.mga5
+ Revision: 800095
- Disable java

* Thu Oct 16 2014 luigiwalser <luigiwalser> 3.5.1-7.mga5
+ Revision: 757709
- sync patches with fedora to fix build with java8

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

  + tv <tv>
    - rebuild for missing pythoneggs deps

* Sat May 31 2014 pterjan <pterjan> 3.5.1-3.mga5
+ Revision: 628259
- Rebuild for new Python

* Thu Jan 09 2014 pterjan <pterjan> 3.5.1-2.mga4
+ Revision: 565948
- Fix hack
- Hack for usrmove to not replace .so symlinks with the libs

* Thu Jan 09 2014 dmorgan <dmorgan> 3.5.1-1.mga4
+ Revision: 565800
- New version

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Sep 21 2013 fwang <fwang> 3.4.2-5.mga4
+ Revision: 482712
- rebuild for ruby 2.0

* Tue Jul 30 2013 joequant <joequant> 3.4.2-4.mga4
+ Revision: 461159
- remove java-nodeps from buildrequires

* Sat Jan 12 2013 umeabot <umeabot> 3.4.2-3.mga3
+ Revision: 354115
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 fwang <fwang> 3.4.2-2.mga3
+ Revision: 331637
- fix requires of ruby binding

* Sun Dec 16 2012 fwang <fwang> 3.4.2-1.mga3
+ Revision: 331619
- update file list
- update file list
- update file list
- update file list
- requires dbjava
- update file list
- more str fmt fix
- build with php 5.4
- fix str fmt
- build with system jgoodies
- fix build with recent java
- use db4.8
- use db4.8
- br db 4.8
- br db 4.8
- fix build with recent gcc
- rediff some patches
- new version 3.4.2
- add includedir
- cleanup spec
- fix build
- rediff some patches
- new version 3.5b
- more patch
- fix patch
- more patch on building
- br db 5.2

  + malo <malo>
    - update RPM group

  + stormi <stormi>
    - rebuild for new glibc

* Mon Mar 19 2012 fwang <fwang> 3.3.1-5.mga2
+ Revision: 224290
- more patches
- more patch
- fix build
- fix build with new gcc

* Thu Mar 24 2011 boklm <boklm> 3.3.1-4.mga1
+ Revision: 76158
- rebuild for bug #497

* Wed Mar 09 2011 ennael <ennael> 3.3.1-3.mga1
+ Revision: 67193
- remove unexisting image
- clean spec file
- imported package ice


* Wed Nov 03 2010 Michael Scherer <misc@mandriva.org> 3.3.1-3mdv2011.0
+ Revision: 592735
- rebuild for python 2.7

* Wed Apr 28 2010 Funda Wang <fwang@mandriva.org> 3.3.1-2mdv2010.1
+ Revision: 539939
- rebuild for openssl 1.0

* Fri Feb 12 2010 Jérôme Brenier <incubusss@mandriva.org> 3.3.1-1mdv2010.1
+ Revision: 504813
- use the Fedora package, modified to fit to the Mandriva policies
- restore ice

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - old directory, without matching package

  + Lonyai Gergely <aleph@mandriva.org>
    - Update 3.3.1
     - Not build the java and php modules
    - import ice



* Mon Feb  1 2010 Mary Ellen Foster <mefoster at gmail.com> - 3.3.1-6
- Fix the user name in the server scripts (bug 557411)

* Sat Aug 22 2009 Tomas Mraz <tmraz@redhat.com> - 3.3.1-5
- rebuilt with new openssl

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jul 13 2009 Remi Collet <Fedora@FamilleCollet.com> - 3.3.1-3
- rebuild for new PHP 5.3.0 ABI (20090626) + ice-php53.patch
- add PHP ABI check
- use php_extdir

* Wed Jul  8 2009 Mary Ellen Foster <mefoster at gmail.com> - 3.3.1-2
- Include upstream patches:
  - slice2html creates bad links
  - slice compilers abort on symlinks and double backslashes
  - random endpoint selection in .Net
  See http://www.zeroc.com/forums/patches/ for details

* Wed Mar 25 2009 Mary Ellen Foster <mefoster at gmail.com> - 3.3.1-1
- Update to new upstream 3.3.1 release
  - Includes all previous patches
  - Support for serializable Java and .NET types in your Slice definitions
  - Ability to use Ice for Java in an applet and to load IceSSL files, such
    as keystores, from class path resources
- Details at http://www.zeroc.com/download/Ice/3.3/Ice-3.3.1-RELEASE_NOTES

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 23 2009 Mary Ellen Foster <mefoster at gmail.com> - 3.3.0-13
- Explicitly BuildRequire OpenJDK to fix a build failure on rawhide
- Fix author name in previous change log
- No longer include ant.jar in the CLASSPATH for building (unnecessary)

* Fri Feb  6 2009 Mary Ellen Foster <mefoster at gmail.com> - 3.3.0-12
- Include Debian patch for GCC 4.4

* Sat Jan 17 2009 Tomas Mraz <tmraz@redhat.com> - 3.3.0-11
- rebuild with new openssl

* Sat Jan 10 2009 Dennis Gilmore <dennis@ausil.us> - 3.3.0-10
- ExcludeArch sparc64 no mono there

* Thu Dec  4 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 3.3.0-9
- Rebuild for Python 2.6

* Thu Dec  4 2008 <mefoster at gmail.com> - 3.3.0-8
- Add all accumulated upstream patches

* Thu Dec  4 2008 <mefoster at gmail.com> - 3.3.0-7
- (Tiny) patch to support Python 2.6

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 3.3.0-6
- Rebuild for Python 2.6

* Tue Aug 12 2008 Mary Ellen Foster <mefoster at gmail.com> 3.3.0-5
- Explicitly create build root so it builds on F10
- Patch to build against DB4.7

* Wed Jul 30 2008 Mary Ellen Foster <mefoster at gmail.com> 3.3.0-4
- Re-add .pth file -- the alternative method involves editing auto-generated
  files that say "don't edit" and I don't want to break other parts of Ice

* Fri Jun 27 2008 Mary Ellen Foster <mefoster at gmail.com> 3.3.0-3
- Bump release to fix tag problem and bad date
- Add dist back to release field

* Wed Jun 25 2008 Mary Ellen Foster <mefoster at gmail.com> 3.3.0-2
- Add patch from ZeroC

* Mon Jun  9 2008 Mary Ellen Foster <mefoster at gmail.com> 3.3.0-1
- Update for 3.3 final
- Fix ppc64 issues with directories in Mono .pc files (I hope)
- Incorporate patches and man pages from Debian package

* Tue May 06 2008 Mary Ellen Foster <mefoster at gmail.com> 3.3-0.1.b
- Update for 3.3 beta prerelease
- Fix Python sitelib/sitearch issues

* Fri Feb 22 2008 Mary Ellen Foster <mefoster at gmail.com> 3.2.1-17
- Improved, less invasive patch based on the Debian one

* Fri Feb 22 2008 Mary Ellen Foster <mefoster at gmail.com> 3.2.1-16
- Add includes so that it compiles with GCC 4.3

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 3.2.1-15
- Autorebuild for GCC 4.3

* Wed Dec 05 2007 Mary Ellen Foster <mefoster at gmail.com> 3.2.1-14
- Version bump to rebuild because of changed OpenSSL in rawhide

* Tue Nov 20 2007 Mary Ellen Foster <mefoster at gmail.com> 3.2.1-13
- Enable the IceGrid GUI
- Fix a problem with Python on 64-bit systems (bz #392751)
- Incorporate one more Mono patch from ZeroC

* Tue Oct 30 2007 Mary Ellen Foster <mefoster at gmail.com> 3.2.1-12
- Put the slice2java classes into a .jar file instead of as bare classes
- Incorporate all Ice 3.2.1 patches from ZeroC
- Fix templates path in icegridregistry.conf

* Fri Sep  7 2007 Mary Ellen Foster <mefoster at gmail.com> 3.2.1-11
- Also add Obsoletes: for the old zeroc names
- Fix bad date in changelog

* Wed Aug 29 2007 Mary Ellen Foster <mefoster at gmail.com> 3.2.1-9
- Add "with exceptions" to license tag
- Minor typo corrections in README.Fedora
- Move ruby sitearch files out of an "Ice/" subdirectory so that they're
  actually useful

* Tue Aug 28 2007 Mary Ellen Foster <mefoster at gmail.com> 3.2.1-8
- Remove parallel make to see if that fixes build errors

* Mon Aug 27 2007 Mary Ellen Foster <mefoster at gmail.com> 3.2.1-7
- Fix over-zealous patch in csharp IceBox Makefile

* Mon Aug 27 2007 Mary Ellen Foster <mefoster at gmail.com> 3.2.1-6
- Put IcePy.so* into sitearch, not sitelib
- Use %%ifarch in python file list to avoid duplicate warnings
- Actually use gacutil for the Mono dlls instead of faking it

* Fri Aug 24 2007 Mary Ellen Foster <mefoster at gmail.com> 3.2.1-5
- Clean up packaging of icegridgui: it's a gui app, so we should treat it as
  such (NB: building this package is still disabled by default because it needs
  jgoodies)
- Actually create the working directory for the Ice services
- Remove redundant requires on java-devel and csharp-devel packages
- Fix file list for python package to own directories too
- Modified the README to accurately reflect what's in the Fedora package

* Thu Aug 23 2007 Mary Ellen Foster <mefoster at gmail.com> 3.2.1-4
- Whoops, ruby(abi) doesn't pull in ruby ...
- Redirect getent output to /dev/null
- Try again to remove execute permission on all *.ice files (????)
- Move ImportKey.class out of bin and into share (not sure what it does, but I'm
  pretty sure it doesn't belong in bin!)

* Wed Aug 22 2007 Mary Ellen Foster <mefoster at gmail.com> 3.2.1-3
- Changed BuildRequires on ruby to ruby(abi) = 1.8
- Fixed all dependencies between subpackages: everything requires the base
  package, and -devel packages should all require their corresponding non-devel
  package now
- Made ice-csharp require pkgconfig
- Modified the user/group creation process based on the wiki
- Removed ldconfig for ice-c++-devel subpackage
- Made the python_sitelib subdirectory owned by ice-python
- Removed executable permission on all files under slice (how did that happen?)
- Fixed typo on ice-csharp group
- Changed license tag to GPLv2
- Removed macros in changelog
- Set CFLAGS as well as CPPFLAGS for make so that building icecpp gets the 
  correct flags too
- Renamed ice-c++-devel to ice-devel
- Added Provides: for ice-c++-devel and ice-dotnet for people moving from the
  ZeroC RPMs
- Also don't build "test" or "demo" for IceCS

* Sun Aug 18 2007 Mary Ellen Foster <mefoster at gmail.com> 3.2.1-2
- ExcludeArch ppc64
- Fix one more hard-coding problem for x86_64

* Thu Aug 16 2007 Mary Ellen Foster <mefoster at gmail.com> 3.2.1-1
- Update to 3.2.1

* Wed Aug  1 2007 Mary Ellen Foster <mefoster at gmail.com> 3.2.0-7
- Fixed arch-specific issues:
  - %%ifnarch ppc64 in a lot of places; it doesn't have db4-java or mono-core,
    so no Java or CSharp packages
  - Replaced one literal "lib" with %%{_lib}
- Added IceGrid registry patch from ZeroC forum
- Don't build "test" or "demo" subdirectories
- Use "/sbin/ldconfig" instead of %%{_sbindir} because that's /usr/sbin (also
  for other things like /sbin/service etc)
- Removed useless "dotnetversion" define (it's the same as "version")
- Remove executable bit on all "*.ice" files (it gets set somehow on a few)

* Tue Jul 31 2007 Mary Ellen Foster <mefoster at gmail.com> 3.2.0-6
- Updated to incorporate more suggestions from Mamoru Tasaka (sorry for the delay!)
- Include Java and C# stuff in the single SRPM (NB: they'll no longer be noarch)

* Mon Jul  9 2007 Mary Ellen Foster <mefoster at gmail.com> 3.2.0-5
- Updated following review comments from Mamoru Tasaka
- Renamed file to "ice.spec"
- Use %%{_libdir} instead of literal "lib"/"lib64" (not yet tested on 64-bit
  system)
- Changed "make" calls to use the correct compiler flags (including -fPIC)
- Changed "cp" to "cp -p" everywhere for timestamps
- Use more macros instead of hard-coded directory names: 
  %%_prefix, %%_libdir, %%_initrddir, %%_localstatedir, %%_sbindir
- Un-excluded *.pyo files

* Wed Jun 13 2007 Mary Ellen foster <mefoster at gmail.com> 3.2.0-4
- Removed cruft so that it no longer tries to build Java stuff (whoops)

* Wed Apr 18 2007 Mary Ellen Foster <mefoster at gmail.com> 3.2.0-3
- Use RPM macros instead of /etc and /usr/bin (Thanks to Peter Lemenkov)
- Suggestions from ZeroC forum (http://zeroc.com/forums/showthread.php?t=3095):
  - Use Python site-packages directory
  - Create "iceuser" user
  - Split /etc/init.d services into a separate sub-package
- Follow guidelines from Fedora wiki about packaging Ruby
  - Use Ruby site-arch directory
  - Depend on ruby(abi)
- Make sure to compile all Java files with -source 1.4 -target 1.4

* Wed Apr 11 2007 Mary Ellen Foster <mefoster at gmail.com> 3.2.0-2
- Remove "assert" in Java classes for compilation with Java 1.4

* Fri Mar 30 2007 Mary Ellen Foster <mefoster at gmail.com> 3.2.0-1
- Initial spec, based on spec distributed by ZeroC

